%define ggz_datadir /usr/share/ggz

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	kdegames
Summary: 	K Desktop Environment 4 - Games 
Version: 	4.1.1
Release: 	1

License: 	GPLv2
URL:     	http://www.kde.org/
Group:   	Graphical Desktop/KDE4
Source0: 	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdegames-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	cmake 
BuildRequires: 	ggz-client-libs-devel
BuildRequires: 	kdelibs-devel >= %{version}
# for macros.kde4
BuildRequires: 	kde-filesystem

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): xdg-utils ggz-client-libs
Requires(preun): ggz-client-libs
Requires(postun): xdg-utils
Obsoletes: 	kdegames4 < %{version}-%{release}
Provides:  	kdegames4 = %{version}-%{release}


%description
Games for the K Desktop Environment 4, including:
* bovo
* katomic
* kbackgammon
* kbattleship
* kblackbox
* kblocks
* kbounce
* kbreakout
* kdiamond
* kfourinline
* kgoldrunner
* kiriki
* kjumpingcube
* klines
* kmahjongg
* kmines
* knetwalk
* kolf
* kollision
* konquest
* kpat
* kreversi
* ksame
* kshisen
* ksirk
* kspaceduel
* ksquares
* ksudoku
* ktuberling
* kubrick
* lskat

%package libs
Summary: 	Runtime libraries for %{name}
Group:   	Graphical Desktop/KDE4
Obsoletes: 	kdegames4-libs < %{version}-%{release}
Provides:  	kdegames4-libs = %{version}-%{release}


%description libs
%{summary}.

%package devel
Group:   	Development/Libraries
Summary:  	Header files for compiling KDE 4 game applications
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdegames4-devel < %{version}-%{release}
Provides:  	kdegames4-devel = %{version}-%{release}


%description devel
This package includes the header files you will need to compile
game applications for KDE 4.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# HACK, FIXME
install -m644 -p -D ./kbattleship/src/module.dsc %{buildroot}%{ggz_datadir}/kbattleship.dsc
install -m644 -p -D ./kreversi/module.dsc %{buildroot}%{ggz_datadir}/kreversi.dsc
install -m644 -p -D ./ksquares/src/module.dsc %{buildroot}%{ggz_datadir}/ksquares.dsc

# unpackaged files
rm -f %{buildroot}%{_sysconfdir}/ggz.modules

%post
/usr/bin/ggz-config --install --force --modfile=%{ggz_datadir}/kbattleship.dsc ||:
/usr/bin/ggz-config --install --force --modfile=%{ggz_datadir}/kreversi.dsc ||:
/usr/bin/ggz-config --install --force --modfile=%{ggz_datadir}/ksquares.dsc ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%preun
if [ $1 -eq 0 ]; then
/usr/bin/ggz-config --remove --modfile=%{ggz_datadir}/kbattleship.dsc ||:
/usr/bin/ggz-config --remove --modfile=%{ggz_datadir}/kreversi.dsc ||:
/usr/bin/ggz-config --remove --modfile=%{ggz_datadir}/ksquares.dsc ||:
fi

%postun 
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README
%{_kde4_bindir}/*
%{_kde4_appsdir}/*
%exclude %{_kde4_appsdir}/cmake/
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_docdir}/HTML/en/*
%{_kde4_iconsdir}/locolor/*/*/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{ggz_datadir}/kbattleship.dsc
%{ggz_datadir}/kreversi.dsc
%{ggz_datadir}/ksquares.dsc

%files libs 
%defattr(-,root,root,-)
%doc COPYING
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/modules/*
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so


%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-2
- fix in pre scriplet
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Mon Dec 17 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Initial release
